> For the complete documentation index, see [llms.txt](https://docs.sportradar.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.sportradar.com/uof/api-and-structure/api/sport-event-information/timeline-endpoint/endpoint.md).

# Endpoint

This endpoint provides Information about an ongoing or completed sport event. Apart from the general information related to the match it provides info related for example to score changes, yellow cards, corner kicks, etc.

The actual endpoint is event-specific and the actual attributes vary slightly between sports.

**How to call the endpoint?**

To call the endpoint for a specific match, the ID of the match must be inserted in the call as per the following example:

```
/v1/sports/{language}/sport_events/sr:match:14704749/timeline.xml
```

&#x20;**Endpoint Parameters**

| Parameter                                                 | Description                                         | Possible Values                                                                                          |
| --------------------------------------------------------- | --------------------------------------------------- | -------------------------------------------------------------------------------------------------------- |
| <p><em>language</em></p><p><strong>Required</strong></p>  | Language code for translation.                      | See all supported languages and their codes on [language support](/uof/introduction/language-support.md) |
| <p><em>urn\_type</em></p><p><strong>Required</strong></p> | The type of event to look up.                       | sr:match, sr:stage                                                                                       |
| <p><em>match\_id</em></p><p><strong>Required</strong></p> | The ID for the sport event to get fixture data from | e.g. 48665175                                                                                            |

## Information about an ongoing sport event

> Detailed information (including event timeline) for a sport event. Prematch, Live or Post-match. Prematch info is very brief. Postmatch the results are there. \[XML schema]\(<https://sportradar-unifiedfeed.s3.eu-central-1.amazonaws.com/xsd/endpoints/unified/match\\_timeline.xsd>)

```json
{"openapi":"3.0.3","info":{"title":"Betradar API","version":"1.0.0"},"servers":[{"url":"https://global.api.betradar.com/v1"}],"security":[{"key":[]}],"components":{"securitySchemes":{"key":{"type":"apiKey","in":"header","name":"x-access-token"}}},"paths":{"/sports/{language}/sport_events/sr:{urn_type}:{id}/timeline.xml":{"get":{"summary":"Information about an ongoing sport event","description":"Detailed information (including event timeline) for a sport event. Prematch, Live or Post-match. Prematch info is very brief. Postmatch the results are there. [XML schema](https://sportradar-unifiedfeed.s3.eu-central-1.amazonaws.com/xsd/endpoints/unified/match_timeline.xsd)","operationId":"matchTimeline","tags":["Sport event information"],"parameters":[{"name":"language","description":"Language code for translation.","in":"path","required":true,"schema":{"type":"string"},"default":"en"},{"name":"urn_type","description":"Displays the results for the specified id. This id could be sr:match:<id> for a match, sr:stage:<id> for a race, or sr:tournament:<id> for outrights on a tournament.","in":"path","required":true,"schema":{"type":"string","enum":["match","stage"]},"default":"match"},{"name":"id","description":"The ID for the sport event.","in":"path","required":true,"schema":{"type":"integer"},"default":8696826}],"responses":{"200":{"description":"successful operation","content":{"application/xml":{}}},"401":{"description":"Unauthorized","content":{"application/json":{}}},"403":{"description":"Access denied","content":{"application/json":{}}},"500":{"description":"Internal server error","content":{"application/json":{}}}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.sportradar.com/uof/api-and-structure/api/sport-event-information/timeline-endpoint/endpoint.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
